Subject: [BISECTED] 3.10-rc1 OMAP1 GPIO IRQ regression

From: [email-masked] (Jon Hunter)
Date: Wed, 29 May 2013 23:41:52 +0100

On 29/05/13 22:29, Jon Hunter wrote:
> 
> On 29/05/13 19:55, Aaro Koskinen wrote:
>> Hi,
>>
>> On Tue, May 28, 2013 at 07:42:41PM +0100, Jon Hunter wrote:
>>> Care to share the log?
>>
>> Below are three logs from 3.10-rc3 / Nokia 770. I did not even compile
>> Retu this time, as it has nothing to do with GPIO IRQs being broken
>> on OMAP1.
> 
> That's not entirely true. v3.10-rc3 is booting fine on an osk5912 and
> ethernet is working which is using a gpio for interrupts and it is
> getting interrupts.

Scratch that. It appears that the osk is using gpio-0 as the interrupt
and so it is only by chance this is working. I agree it is broken and so
Tony's fix is needed.

Jon